Bug 1037594 - [RFE] job/recipe timestamps available via commandline
Summary: [RFE] job/recipe timestamps available via commandline
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line   
(Show other bugs)
Version: 0.14
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 24.0
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: FutureFeature, Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-03 12:43 UTC by Ales Zelinka
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:51:14 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ales Zelinka 2013-12-03 12:43:42 UTC
Job/recipe's time of start and are available via web UI but not using cmdline. Please add those to bkr job-results (or other, more fitting, bkr sub-command).

Comment 2 Dan Callaghan 2016-06-14 07:41:02 UTC
Not sure how we never had this in the job results XML before now, it seems like an obvious inclusion considering we already have the duration in there...

http://gerrit.beaker-project.org/4985

This patch adds:

start_time and finish_time attributes to <recipe>
start_time and finish_time attributes to <task>
start_time attribute to <result>

Like all other timestamps in Beaker they are formatted as YYYY-mm-dd HH:MM:SS, expressed in UTC.

Comment 5 Dan Callaghan 2017-02-21 18:51:14 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.